# notification

Install E-Mail/Telegram notifications

## Dependencies

> - Python 3.9 or above on inventory hosts (in repo on Debian | from sources in /usr/local/bin on CentOS)

## Download a Role

```bash
wget -qO- https://git.hmp.today/pavel.muhortov/notification/archive/master.tar.gz | tar -xvz -C .
```

## Edit Role Variables

```yaml
# nano ./notification/vars/main.yml
sendmail_smtp: smtp.host.zone
sendmail_port: 587
sendmail_from: user@host.zone
sendmail_pass: pass
sendmail_dest: user@host.zone
sendtelegram_api_key: YOURAPIKEY
sendtelegram_silence: true
## single chat
sendtelegram_chat_id: 123456789
## chat topics
sendtelegram_chat_id: -100123456789
sendtelegram_thrd_id: 123
```

## Create Playbook Example

```yaml
tee ./notification.yml > /dev/null <<'EOF'
- name: Install E-Mail/Telegram notification
  hosts: all
  become: yes
  roles:
  - notification
EOF
```

## Run Playbook

```bash
ansible-playbook ./notification.yml
```

## Clean

```bash
rm -rf ./notification*
```
