#! /bin/sh
# chkconfig: 2345 20 80

### BEGIN INIT INFO
# Provides:          sendtelegram-reboot
# Required-Start:    $all
# Required-Stop:
# Default-Start:     2 3 4 5
# Default-Stop:
# Short-Description: Sending a message on startup
### END INIT INFO

start() {
  API_URL="$(grep "API_URL=" /usr/local/bin/sendtelegram.config | cut -d= -f2)"
  SILENCE="$(grep "SILENCE=" /usr/local/bin/sendtelegram.config | cut -d= -f2)"
  CHAT_ID="$(grep "CHAT_ID=" /usr/local/bin/sendtelegram.config | cut -d= -f2)"
  THRD_ID="$(grep "THRD_ID=" /usr/local/bin/sendtelegram.config | cut -d= -f2)"
  TXT_MSG="[System States] $(cat /etc/hostname): computer has been rebooted"

  sleep 15
  if [ -z "${THRD_ID}" ]; then
    curl -s -o /dev/null -X POST \
         -d chat_id="${CHAT_ID}" \
         -d text="${TXT_MSG}" \
         -d disable_notification="${SILENCE}" \
         "${API_URL}"
  else
    curl -s -o /dev/null -X POST \
         -d chat_id="${CHAT_ID}" \
         -d text="$TXT_MSG" \
         -d disable_notification="${SILENCE}" \
         -d message_thread_id="$THRD_ID" \
         "${API_URL}"
  fi
}

stop() {
  pkill -f curl -s -o /dev/null -X POST -d chat_id="${CHAT_ID}"
}

case "$1" in
  start)
    start
    ;;
  stop)
    stop
    ;;
  restart)
    stop
    start
    ;;
  *)
  printf "%s\n" "Usage: $0 {start|stop|restart}"
esac

exit 0
